package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value ="source",autoResultMap = true) //数据库表相关
public class Source extends BaseEntity {
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     *数据接入源
     */
    private String dataResourceName;


    /**
     * 数据来源表
     */
    private String dataSourcesSystemName;

    /**
     * 主机Ip地址
     */
    private String host;

    /**
     * 端口
     */
    private String port;


    /**
     * 数据类型
     */
    private String databaseType;

    /**
     * 数据库名称
     */
    private String databaseName;

    /**
     * 初始化连接数量
     */
    private Long initLinkNum;

    /**
     * 多大连接数量
     */
    private Long maxLinkNum;

    /**
     * 最长等待时间
     */
    private Long maxWaitTime;

    /**
     * 最多连接数量
     */
    private Long maxWaitTimes;
    /**
     * 连接参数
     */
    private String connectionParams;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;
}
