package com.muyu.cloud.pay.controller;

import com.muyu.cloud.pay.service.SourceService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.domain.Source;
import com.muyu.domain.req.SourceReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/source")
public class SourceController extends BaseController {

    @Autowired
    private SourceService sourceService;

    //列表
    @RequiresPermissions("etl:info:list")
    @GetMapping("/list")
    public Result<TableDataInfo<Source>> list(SourceReq sourceReq) {
        startPage();
        List<Source> list = sourceService.selectSourceList(sourceReq);
        return getDataTable(list);
    }

}
